@import "~/src/sass/variables.sass"

.loading
  position: fixed
  top: 0%
  left: 0%
  bottom: 100%
  right: 100%

  width: 100%
  height: 100%

  display: flex
  justify-content: center
  align-items: center

  animation: 200ms ease-in both fade-in

  .animation
    position: relative
    height: 15%

    p
      color: var(--color-on-background, $light-on-background)

      position: absolute
      top: 0px
      bottom: 0px
      left: 0px
      right: 0px

      text-align: center
      vertical-align: bottom

      padding: 43.5% 0%
      margin: 0px

      font-weight: 700

.blur-background
  background-color: transparentize(var(--color-outline, $light-outline), 0.8)

  backdrop-filter: blur(2px)
  -webkit-backdrop-filter: blur(2px)


@media (prefers-color-scheme: dark)
  html, body, #app
    background-color: var(--color-background, $dark-background)

    .loading .animation p
      color: var(--color-on-background, $dark-on-background)

    .transparent-background
      background-color: transparentize(var(--color-outline, $dark-outline), 0.8)